Subject: O_NONBLOCK serial I/O blocks on 95, OK on NT
From: Bruce Edge <[email-masked]>
To: cygwin support <[email-masked]>
Date: Wed, 06 Dec 2000 11:08:42 -0800

I'm opening /dev/com1 as follows:
 fd  = open( "/dev/com1", O_RDWR | O_NOCTTY | O_NONBLOCK | O_BINARY ); 

on NT the O_NONBLOCK works fine.
on win 95, read( fd, buf, max_len ) blocks.

I don't think the termios stuff should affect this, at least if it did, I
should be having the same problem under NT.
Is there a fix for this?
Or, is there any way to check for chars pending before reading?
I'm already using select(), which shouldn't even drop out of the wait until
there's data.

TIA, Bruce.

--
Want to unsubscribe from this list?
Send a message to [email-masked]